## Typing stubs for commonmark

This is a [PEP 561](https://peps.python.org/pep-0561/)
type stub package for the [`commonmark`](https://github.com/rtfd/commonmark.py) package.
It can be used by type-checking tools like
[mypy](https://github.com/python/mypy/),
[pyright](https://github.com/microsoft/pyright),
[pytype](https://github.com/google/pytype/),
[Pyre](https://pyre-check.org/),
PyCharm, etc. to check code that uses `commonmark`. This version of
`types-commonmark` aims to provide accurate annotations for
`commonmark==0.9.*`.

This package is part of the [typeshed project](https://github.com/python/typeshed).
All fixes for types and metadata should be contributed there.
See [the README](https://github.com/python/typeshed/blob/main/README.md)
for more details. The source for this package can be found in the
[`stubs/commonmark`](https://github.com/python/typeshed/tree/main/stubs/commonmark)
directory.

This package was tested with
mypy 1.15.0,
pyright 1.1.398,
and pytype 2024.10.11.
It was generated from typeshed commit
[`2a7a601a5ca2237037965f52eca5925dba530c62`](https://github.com/python/typeshed/commit/2a7a601a5ca2237037965f52eca5925dba530c62).